org.eclipse.graphiti.ui.internal.platform

## Class ExtensionManager

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.platform.ExtensionManager

All Implemented Interfaces:
  IExtensionManager

    public class ExtensionManager
    extends Object
    implements IExtensionManager

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`IDiagramTypeProvider` `createDiagramTypeProvider(Diagram diagram, String providerId)` Create an instance of a diagram type provider (and also the feature provider) without having a diagram editor open.
`IDiagramTypeProvider` `createDiagramTypeProvider(String providerId)` Creates a diagram type provider.
`IFeatureProvider` `createFeatureProvider(Diagram diagram)` Create an instance of a feature provider (and also the diagram type provider) without having a diagram editor open.
`IDiagramsExporter` `getDiagramExporterForType(String type)`
`Map<String,Boolean>` `getDiagramExporterTypes()`
`String` `getDiagramTypeProviderId(String diagramTypeId)` Gets the diagram type provider id.
`String[]` `getDiagramTypeProviderIds(String diagramTypeId)` Gets the diagram type provider id's.
`IDiagramType[]` `getDiagramTypes()` Gets all the registered diagram types.
`Collection<IImageProvider>` `getImageProvidersForDiagramTypeProviderId(String providerId)`
`IImageProvider` `getPlatformImageProvider()`
`static ExtensionManager` `getSingleton()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSingleton

    public static ExtensionManager getSingleton()

#### getDiagramTypeProviderIds

    public String[] getDiagramTypeProviderIds(String diagramTypeId)

Description copied from interface: `IExtensionManager`
Gets the diagram type provider id's.

Specified by:
  `getDiagramTypeProviderIds` in interface `IExtensionManager`
Parameters:
  `diagramTypeId` - the diagram type id
Returns:
  provider id's of all the diagram type providers which can handle the given diagram type id.

#### getDiagramExporterTypes

    public Map<String,Boolean> getDiagramExporterTypes()

#### getDiagramExporterForType

    public IDiagramsExporter getDiagramExporterForType(String type)

#### createDiagramTypeProvider

    public IDiagramTypeProvider createDiagramTypeProvider(String providerId)

Description copied from interface: `IExtensionManager`
Creates a diagram type provider.

Specified by:
  `createDiagramTypeProvider` in interface `IExtensionManager`
Parameters:
  `providerId` - the provider id
Returns:
  new instance of a diagram type provider
See Also:
  `IDiagramTypeProvider`

#### getPlatformImageProvider

    public IImageProvider getPlatformImageProvider()

#### getImageProvidersForDiagramTypeProviderId

    public Collection<IImageProvider> getImageProvidersForDiagramTypeProviderId(String providerId)

#### getDiagramTypes

    public IDiagramType[] getDiagramTypes()

Description copied from interface: `IExtensionManager`
Gets all the registered diagram types.

Specified by:
  `getDiagramTypes` in interface `IExtensionManager`
Returns:
  the registered diagram types
See Also:
  `IDiagramType`

#### createFeatureProvider

    public IFeatureProvider createFeatureProvider(Diagram diagram)

Description copied from interface: `IExtensionManager`
Create an instance of a feature provider (and also the diagram type provider) without having a diagram editor open. This instance can be used for the generation of diagrams in the background. All features which do not expect an open editor can be reused.

Specified by:
  `createFeatureProvider` in interface `IExtensionManager`
Parameters:
  `diagram` - The diagram on which the diagram type provider will work
Returns:
  new instance of a feature provider
See Also:
  `IFeatureProvider`

#### createDiagramTypeProvider

    public IDiagramTypeProvider createDiagramTypeProvider(Diagram diagram,
                                                          String providerId)

Description copied from interface: `IExtensionManager`
Create an instance of a diagram type provider (and also the feature provider) without having a diagram editor open. This instance can be used for the generation of diagrams in the background. All features which do not expect an open editor can be reused.

Specified by:
  `createDiagramTypeProvider` in interface `IExtensionManager`
Parameters:
  `diagram` - The diagram on which the diagram type provider will work
  `providerId` - Id of the diagram type provider which should be used
Returns:
  new instance of a diagram type provider
See Also:
  `IDiagramTypeProvider`

#### getDiagramTypeProviderId

    public String getDiagramTypeProviderId(String diagramTypeId)

Description copied from interface: `IExtensionManager`
Gets the diagram type provider id.

Specified by:
  `getDiagramTypeProviderId` in interface `IExtensionManager`
Parameters:
  `diagramTypeId` - the diagram type id
Returns:
  provider id of the diagram type providers which can handle the given diagram type id. If more then one diagram type providers available, the first one will be returned.